@use '/src/styles.scss' as *;


.nav{
    background-color: $secundary;
    height: 3.5rem;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    display: flex;
    justify-content: space-between; 
    align-items: center;
    z-index: 1;
    .nav__link{
        color: white;
        text-decoration: none;
    }
    .nav__logo{
        display: flex;
        justify-content: center;
        align-items: center;
        padding-inline: 1rem;
        .nav__logo-detail{
            width: 3.5rem;
            height: 3.5rem; 
        }
    }
    .nav__menu{
        background-color: #034574;
        flex-direction: column;
        list-style: none;
        display: flex;
        justify-content: center;
        align-items: flex-start;
        position: fixed;
        padding: 0.2rem;
        width: 100%;
        top:-100%;
        animation:slideclose 0.8s ease;
        &--visible{
            top:7%;
            animation:slideopen 0.8s ease;
            z-index: 0;
        }
        .nav__item{
            font-size: 1.2rem;
            padding-inline: 1rem;
            text-transform: uppercase;
            width: max-content;
            padding: 1rem;
            .nav__detail{
                border-radius: 5px;
            }
            .nav__detail:hover{ 
               color: #3b76a1;
            }
            
        }
    }
    .nav__icon{
        color: #ffff;
        background: none;
        border: none;
        font-size: 2rem;
        display: flex;  
        padding-inline: 1rem; 
    }
    .nav__logout{
        color: #ffff;
        background: none;
        border: none;
        font-size: 1rem;
        display: flex;
        align-items: center;
        padding: 1rem;
    }
    
   
    
}

@keyframes slideclose {
    from{
        top: 7%; 
        opacity: 0.2;
    }
    to{
        top: -100%;
        opacity: 1;
    }
    
}
@keyframes slideopen {
    from{
        top: -100%;
        opacity: 0.2;
    }
    to{
        top: 7%;
        opacity: 1;
        }
}
@media screen and (min-width: 768px) {


    
.nav{
    height: 4.5rem;
    .nav__link{
        color: white;
        text-decoration: none;
    }
    .nav__logo{
        .nav__logo-detail{
            width: 4rem;
            height: 4rem; 
        }
    }
    .nav__menu{
        flex-direction: row;
        list-style: none;
        display: flex;
        margin-top: 0;
        justify-content: flex-end;
        align-items: center;
        position: fixed;
        padding: 0.2rem;
        width: 100%;
        animation:slideclose 0.8s ease;
        &--visible{
            top:9%;
            animation:slideopen 0.8s ease;
        }
        .nav__item{
            .nav__detail{
                padding: 0.5rem 0.8rem;
            }
            .nav__detail:hover{
                background-color: #034574; 
                transition: 0.5s; 
            }
        }
    }
    .nav__icon{
        color: #ffff;
        background: none;
        border: none;
        font-size: 2rem;
        display: flex;
    }
    .nav__logout{
        color: #ffff;
        background: none;
        border: none;
        font-size: 1rem;
    }
    
}
@keyframes slideclose {
    from{
        top: 9%; 
        opacity: 0.2;
    }
    to{
        top: -100%;
        opacity: 1;
    }
    
}
@keyframes slideopen {
    from{
        top: -100%;
        opacity: 0.2;
    }
    to{
        top: 9%;
        opacity: 1;
        }
}

}
